Bug 18781 - Translatability: Get rid of exposed tt directives in openlibrary-readapi.inc
Summary: Translatability: Get rid of exposed tt directives in openlibrary-readapi.inc
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-12 07:06 UTC by Marc Véron
Modified: 2017-10-01 22:33 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18781: Translatability: Get rid of exposed tt directives in openlibrary-readapi.inc (1.63 KB, patch)
2017-06-12 07:13 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18781: Translatability: Get rid of exposed tt directives in openlibrary-readapi.inc (1.76 KB, patch)
2017-06-30 01:52 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18781: Translatability: Get rid of exposed tt directives in openlibrary-readapi.inc (1.82 KB, patch)
2017-08-30 19:38 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2017-06-12 07:06:45 UTC
The file koha-tmpl/opac-tmpl/bootstrap/en/includes/openlibrary-readapi.inc exposes template directives to translation. The only string that should appear in .po from this file is "Open Library: "
Comment 1 Marc Véron 2017-06-12 07:13:18 UTC
Created attachment 64192 [details] [review]
Bug 18781: Translatability: Get rid of exposed tt directives in openlibrary-readapi.inc

The file koha-tmpl/opac-tmpl/bootstrap/en/includes/openlibrary-readapi.inc
exposes template directives to translation. The only string that should
appear in .po from this file is "Open Library: "

To test:
- Apply patch
- Verify that code changes make sense
- Bonus test: create a new language 'aa-AA', verify in aa-AA-opac-bootstrap.po
  that there is only the following string for openlibrary-readapi.inc:
msgid "Open Library: "
msgstr ""
Comment 2 M. Tompsett 2017-06-30 01:52:45 UTC
Created attachment 64738 [details] [review]
[SIGNED-OFF] Bug 18781: Translatability: Get rid of exposed tt directives in openlibrary-readapi.inc

The file koha-tmpl/opac-tmpl/bootstrap/en/includes/openlibrary-readapi.inc
exposes template directives to translation. The only string that should
appear in .po from this file is "Open Library: "

To test:
- Apply patch
- Verify that code changes make sense
- Bonus test: create a new language 'aa-AA', verify in aa-AA-opac-bootstrap.po
  that there is only the following string for openlibrary-readapi.inc:
msgid "Open Library: "
msgstr ""

NOTE: Followed a test plan similar to bug 18776 comment 3

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Jonathan Druart 2017-08-30 19:38:41 UTC
Created attachment 66643 [details] [review]
Bug 18781: Translatability: Get rid of exposed tt directives in openlibrary-readapi.inc

The file koha-tmpl/opac-tmpl/bootstrap/en/includes/openlibrary-readapi.inc
exposes template directives to translation. The only string that should
appear in .po from this file is "Open Library: "

To test:
- Apply patch
- Verify that code changes make sense
- Bonus test: create a new language 'aa-AA', verify in aa-AA-opac-bootstrap.po
  that there is only the following string for openlibrary-readapi.inc:
msgid "Open Library: "
msgstr ""

NOTE: Followed a test plan similar to bug 18776 comment 3

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2017-08-30 20:01:11 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-09-29 13:51:52 UTC
Pushed to 17.05.x, will be in 17.05.05.
Comment 6 Katrin Fischer 2017-10-01 22:33:19 UTC
This patch has been pushed to 16.11.x and will be in 16.11.13.